summaryrefslogtreecommitdiffstats
path: root/system-build/share/hooks/normal/0410-update-apt-xapian-index.hook.chroot
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2019-02-02 10:00:00 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2019-02-02 10:00:00 +0000
commit32322960234c8ec91e0d42835a3ec5ee63305070 (patch)
tree71d79574de0193778ad6cc6c96dfd4f74fa6bbbb /system-build/share/hooks/normal/0410-update-apt-xapian-index.hook.chroot
parentInitial commit. (diff)
downloadopen-infrastructure-system-tools-32322960234c8ec91e0d42835a3ec5ee63305070.tar.xz
open-infrastructure-system-tools-32322960234c8ec91e0d42835a3ec5ee63305070.zip
Adding upstream version 20190202.upstream/20190202
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'system-build/share/hooks/normal/0410-update-apt-xapian-index.hook.chroot')
-rwxr-xr-xsystem-build/share/hooks/normal/0410-update-apt-xapian-index.hook.chroot14
1 files changed, 14 insertions, 0 deletions
diff --git a/system-build/share/hooks/normal/0410-update-apt-xapian-index.hook.chroot b/system-build/share/hooks/normal/0410-update-apt-xapian-index.hook.chroot
new file mode 100755
index 0000000..dcb39b2
--- /dev/null
+++ b/system-build/share/hooks/normal/0410-update-apt-xapian-index.hook.chroot
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+# Update the Apt Xapian index.
+#
+# The package would do this itself, but (a) it checks policy-rc.d which says it
+# is not allowed to, and (b) it wants to build the index in the background which
+# will be racy in the context of live-build.
+
+if [ -x /usr/sbin/update-apt-xapian-index ]
+then
+ PYTHONDONTWRITEBYTECODE=1 /usr/sbin/update-apt-xapian-index --force --quiet
+fi